.footer {
    background: $gray-200;
    font-size: size-rel(12px);
    line-height: size-rel(16px);

    &__nav {
        padding-top: 8px;
    }

    &__contact {
        margin: 0;
        padding: 28px 0;
        list-style: none;

        &--item {
            padding: 8px 0;
        }

        &--area {
            color: $green;
            font-weight: 700;
        }

        &--phone {
            color: $gray-500;
            text-decoration: none;

            &:hover {
                color: $gray-500;
                text-decoration: none;
            }
        }
    }

    &__info {
        color: $gray-500;
        padding-top: 36px;
        padding-bottom: 18px;
        border-top: 1px solid $gray-300;

        &--about {
            margin-bottom: 16px;
        }

        &--nav {
            margin: 0 0 35px 0;
            padding: 0;
            list-style: none;
            display: flex;
            white-space: nowrap;
            flex-wrap: wrap;
            align-items: center;

            li {
                padding-right: 29px;
                position: relative;

                &:not(:last-child) {

                    &:after {
                        right: 14px;
                        top: calc(50% - 10px);
                        content: '';
                        width: 1px;
                        height: 20px;
                        font-size: 0;
                        line-height: 0;
                        position: absolute;
                        display: inline-block;
                        background: $gray-500;
                    }
                }

                a {
                    color: $gray-600;
                    padding: 2px 0;
                    display: inline-block;
                    text-decoration: none;

                    &:hover {
                        text-decoration: underline;
                    }
                }
            }
        }

        &--dev {
            white-space: nowrap;

            a {
                color: $gray-600;
                text-decoration: none;

                &:hover {
                    text-decoration: underline;
                }
            }
        }
    }

    @include media-breakpoint-up(lg) {

        &__contact {
            padding: 16px 0;
            display: flex;
            align-items: center;
            white-space: nowrap;

            &--item {
                padding: 0;
                margin-right: 70px;
            }

        }

        &__info {
            display: flex;
            align-items: center;
            padding-top: 18px;
            padding-bottom: 25px;

            &--about {
                margin: 0 74px 0 0;
                white-space: nowrap;
            }

            &--nav {
                margin: 0 20px 0 0;
                flex-grow: 1;
            }
        }

        &__nav {
            padding-top: 22px;
            padding-bottom: 30px;
        }
    }
}

.footer-nav {

    &__group {
        border-bottom: 1px solid $gray-300;
    }

    &__header {
        display: flex;
        align-items: center;
        justify-content: space-between;
        height: size-rel(46px);

        &--link {
            display: block;
            color: $secondary;
            font-weight: 700;
            text-decoration: none;
            flex-grow: 1;

            &:hover {
                color: $accent;
                text-decoration: none;
            }
        }

        &--icon {
            width: 10px;
            height: 10px;
            font-size: 0;
            line-height: 0;
            cursor: pointer;
            position: relative;
            display: inline-block;
            transition: .3s;
            flex-shrink: 0;
            margin-left: 10px;
            transition: .3s;

            &:after,
            &:before {
                top: 50%;
                left: calc(50% - 5px);
                z-index: 10;
                width: 10px;
                height: 1px;
                content: '';
                position: absolute;
                display: inline-block;
                background-color: $black;
            }

            &:after {
                transform: rotate(90deg);
            }

            &.open {
                transform: rotate(135deg);
                transition: .3s;
            }
        }
    }

    &__content {
        margin: 0;
        padding: 0 0 0 14px;
        list-style: none;
        display: none;

        li {
            padding-bottom: 16px;

            a {
                color: $gray-600;
                text-decoration: none;

                &:hover {
                    color: $accent;
                    text-decoration: none;
                }
            }
        }
    }

    @include media-breakpoint-up(lg) {
        display: flex;
        justify-content: space-between;

        &__column {

        }

        &__group {
            border-bottom: none;
        }

        &__header {
            padding: 0;
            height: auto;
            margin-bottom: 16px;

            &--icon {
                display: none;
            }
        }

        &__content {
            padding: 0;
            display: block !important;

            li {

                &:last-child {
                    padding-bottom: 0;
                }
            }
        }
    }
}
